parameters:
    app.path.films_image: /uploads/films
    app.path.cycle_image: /uploads/cycles
    app.path.evenement_image: /uploads/evenements
    app.path.video_image: /uploads/videos
    app.path.programme_pdf: /uploads/programmepdf
    
vich_uploader:
    db_driver: orm

    mappings:

        film_affiche:
            uri_prefix:         '%app.path.films_image%'
            upload_destination: '%kernel.root_dir%/../public%app.path.films_image%'
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        cycle_illustration:
            uri_prefix:         '%app.path.cycle_image%'
            upload_destination: '%kernel.root_dir%/../public%app.path.cycle_image%'
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        evenement_illustration:
            uri_prefix:         '%app.path.evenement_image%'
            upload_destination: '%kernel.root_dir%/../public%app.path.evenement_image%'
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        video_illustration:
            uri_prefix:         '%app.path.video_image%'
            upload_destination: '%kernel.root_dir%/../public%app.path.video_image%'
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true

        programme_pdf:
            uri_prefix:         '%app.path.programme_pdf%'
            upload_destination: '%kernel.root_dir%/../public%app.path.programme_pdf%'
            #inject_on_load: false
            #delete_on_update: true
            #delete_on_remove: true